{
  pkgs,
  lib,
  nix-darwin,
  ...
}:
{
  environment.systemPackages = with pkgs; [
    discord
    home-manager
    jetbrains.clion
    jetbrains.idea-ultimate
    jetbrains.pycharm-professional
    jetbrains.webstorm
  ];

  environment.darwinConfig = "/Users/irl/.config/nix-configs";

  nix = {
    package = pkgs.nix;
    settings = {
      "extra-experimental-features" = [
        "nix-command"
        "flakes"
      ];
    };
  };

  nixpkgs.config.allowUnfreePredicate =
    pkg:
    builtins.elem (lib.getName pkg) [
      "clion"
      "discord"
      "idea-ultimate"
      "pycharm-professional"
      "webstorm"
    ];

  homebrew = {
    enable = true;

    casks = [
      "affinity-designer"
      "affinity-photo"
      "affinity-publisher"
      "fantastical"
      "ghostty"
      "notion"
      "obsidian"
      "tor-browser"
      "vlc"
    ];

    masApps = {
      "Things" = 904280696;
    };
  };

  system = {
    primaryUser = "irl";
    stateVersion = 6;
  };
}
